aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2016-08-16 18:26:19 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2016-08-17 13:27:14 +0200
commit46ae6ad6151e3a05d80a0d7cfd9e44841fb4bcfd (patch)
tree1b2c52cd19639f490c2b56cde493e0a959885fc0 /scripts
parent245ec5ec552c8c97e867c03aa9645834886cbf2b (diff)
Initial version of the ci-management repo
Based on the open-o template. Modified for AGL. v2 fixed host key and only pushing ci-management jobs. - fix macro vs. definition in file Change-Id: I2de02a572a5d8ca1bf6b7a56bfd2e30bfe18fa9a Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/.gitkeep0
-rwxr-xr-xscripts/check-unicode.sh29
2 files changed, 29 insertions, 0 deletions
diff --git a/scripts/.gitkeep b/scripts/.gitkeep
new file mode 100644
index 00000000..e69de29b
--- /dev/null
+++ b/scripts/.gitkeep
diff --git a/scripts/check-unicode.sh b/scripts/check-unicode.sh
new file mode 100755
index 00000000..db45f6ac
--- /dev/null
+++ b/scripts/check-unicode.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# @License EPL-1.0 <http://spdx.org/licenses/EPL-1.0>
+##############################################################################
+# Copyright (c) 2015 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+# Thanh Ha (The Linux Foundation) - Initial implementation
+##############################################################################
+
+directory="."
+if [ ! -z "$1" ]; then
+ directory="$1"
+fi
+
+echo "Scanning $directory"
+for x in $(find $directory -type f); do
+ if LC_ALL=C grep -q '[^[:print:][:space:]]' "$x"; then
+ echo "file "$x" contains non-ascii characters"
+ exit 1
+ fi
+done
+
+echo "All files are ASCII only"